package icc3dpackage.image2d;


public class ErrorDiffusion {

	/** Indices for a custom error diffusion method */
	public static final int CUSTOM_INDICES[][] = { {-1, -1}, { 0, -1}, { 1, -1},
		{-1, 0}, { 1, 0}, {-1, 1}, { 0, 1}, { 1, 1}, };
	
	/** Weights for a custom error diffusion method */
	public static final float CUSTOM_WEIGHTS[] = {1.0f / 16.0f, 3.0f / 16.0f,
		1.0f / 16.0f, 3.0f / 16.0f, 3.0f / 16.0f, 1.0f / 16.0f, 3.0f / 16.0f,
		1.0f / 16.0f};
	
	/** Indices for the Floyd Steingberg diffusion method */
	public static final int FLOYD_STEINBERG_INDICES[][] = { { 1, 0}, {-1, 1},
		{ 0, 1}, { 1, 1}};
	
	/** Weights for the Floyd Steingberg diffusion method */
	public static final float FLOYD_STEINBERG_WEIGHTS[] = {7.0f / 8.0f, 3.0f / 8.0f,
		5.0f / 8.0f, 1.0f / 8.0f};
	
	/** Indices for the STUCKI diffusion method */
	public static final int STUCKI_INDICES[][] = { { 1, 0}, { 2, 0}, {-2, 1},
		{-1, 1}, { 0, 1}, { 1, 1}, { 2, 1}, {-2, 2}, {-1, 2}, { 0, 2}, { 1, 2}, { 2, 2}};
	
	/** Weights for the STUCKI diffusion method */
	public static final float STUCKI_WEIGHTS[] = {8.0f / 42.0f, 4.0f / 42.0f,
		2.0f / 42.0f, 4.0f / 42.0f, 8.0f / 42.0f, 4.0f / 42.0f, 2.0f / 42.0f,
		1.0f / 42.0f, 2.0f / 42.0f, 4.0f / 42.0f, 2.0f / 42.0f, 1.0f / 42.0f};
	
	/** Indices for the JARVIS JUDICE NINKE diffusion method */
	public static final int JARVIS_JUDICE_NINKE_INDICES[][] = { { 1, 0}, { 2, 0},
		{-2, 1}, {-1, 1}, { 0, 1}, { 1, 1}, { 2, 1}, {-2, 2}, {-1, 2}, { 0, 2}, { 1, 2},
		{ 2, 2}};
	
	/** Weights for the JARVIS JUDICE NINKE diffusion method */
	public static final float JARVIS_JUDICE_NINKE_WEIGHTS[] = {7.0f / 48.0f,
		5.0f / 48.0f, 3.0f / 48.0f, 5.0f / 48.0f, 7.0f / 48.0f, 5.0f / 48.0f,
		3.0f / 48.0f, 1.0f / 48.0f, 3.0f / 48.0f, 5.0f / 48.0f, 3.0f / 48.0f,
		1.0f / 48.0f};
}
