/*
 ICC3D - Interactive Color Correction in 3 Dimensions.
 Copyright (C) 2002-2003 Gjvik University College.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */


package icc3dpackage.managers;


import java.util.Vector;


/**
 * A class intended for storing plugin objects and their corresponding
 * name.
 */
public class Manageable {
	
	/** The plugin names */
	private Vector names;
	
	/** The plugins */
	private Vector plugins;
	
	/**
	 * Creates a Manageable.
	 */
	public Manageable() {
		names = new Vector();
		plugins = new Vector();
	}
	
	/**
	 * Returns the plugin names.
	 * @return A Vector that contains the plugin names.
	 */
	public Vector getNames() {
		return names;
	}
	
	/**
	 * Returns the plugins.
	 * @return A Vector that contains the plugins.
	 */
	public Vector getPlugins() {
		return plugins;
	}
	
	/**
	 * Sets the plugin names.
	 * @param v The plugin names.
	 */
	public void setNames(Vector v) {
		names = v;
	}
	
	/**
	 * Sets the plugins.
	 * @param v The plugins.
	 */
	public void setPlugins(Vector v) {
		plugins = v;
	}
}
