/*
 ICC3D - Interactive Color Correction in 3 Dimensions.
 Copyright (C) 2002-2003 Gjvik University College.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */


package icc3dpackage.managers;


/**
 * An abstract class used to simplify the work of dynamically loading
 * plugins of different types into the application. All classes that
 * needs to be loaded by the Manager class needs to implement the
 * methods specified in this class.
 */
public abstract class Plugin {
	
	/**
	 * The name/description of the plugin.
	 * @return The name.
	 */
	public abstract String getName();
	
	/**
	 * The priority of the plugin.
	 * @return The priority.
	 */
	public abstract int getPriority();
}
