/*
 ICC3D - Interactive Color Correction in 3 Dimensions.
 Copyright (C) 2002-2003 Gjvik University College.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */


package icc3dpackage.pickable;


import icc3dpackage.*;
import icc3dpackage.triangulation.*;


/**
 * An interface which defines the functions necessary for a 3D object to support 
 * interactions using interpolation of tetrahedra.
 */
public interface PickableTetrahedronObject {

	/**
	 * Returns the tetrahedra associated with this object.
	 * @return The tetrahedra associated with this object.
	 */
	public Tetrahedron[] getTetrahedra();
} 

